/*
  Close  Close  2  Close
*/
//--------------------------------------------------------------------
// userindicator.mq4 
//         MQL4.
//--------------------------------------------------------------------
#property indicator_chart_window    // .    
#property indicator_buffers 2       //  
#property indicator_color1 DeepSkyBlue
#property indicator_color2 Red
//#property indicator_color3 Green

extern int shift_up = 100;
extern int History  =1000;            // .   

double ExtMapBuffer1[];
double ExtMapBuffer2[];
//double ExtMapBuffer3[];
//--------------------------------------------------------------------
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_ARROW,EMPTY);
   SetIndexArrow(0,158);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);
   
   SetIndexStyle(1,DRAW_ARROW,EMPTY);
   SetIndexArrow(1,158);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexEmptyValue(1,0.0);
//----
   return(0);
  }
int deinit() { return(0); }
//--------------------------------------------------------------------
int start()
  {
   int i, Counted_bars=IndicatorCounted(); i=Bars-Counted_bars-1; if (i>History-1) {i=History-1;}

   while(i>=0)                      //    
     {
 string sy = Symbol();
 
 if(iOpen(sy,PERIOD_H1,i+1) < iClose(sy,PERIOD_H1,i+1))
 {
  if(iOpen(sy,PERIOD_M30,i+1) < iClose(sy,PERIOD_M30,i+1))
  {
   if(iOpen(sy,PERIOD_M15,i+1) < iClose(sy,PERIOD_M15,i+1))
   {
    if(iOpen(sy,PERIOD_M5,i+1) < iClose(sy,PERIOD_M5,i+1))
    {
         ExtMapBuffer1[i]=High[i]+shift_up*Point; //  0   i- 
         ExtMapBuffer2[i]=0;
    }
   }
  }  
 }
 else if(iOpen(sy,PERIOD_H1,i+1) >= iClose(sy,PERIOD_H1,i+1))
 {
  if(iOpen(sy,PERIOD_M30,i+1) >= iClose(sy,PERIOD_M30,i+1))
  {
   if(iOpen(sy,PERIOD_M15,i+1) >= iClose(sy,PERIOD_M15,i+1))
   {
    if(iOpen(sy,PERIOD_M5,i+1) >= iClose(sy,PERIOD_M5,i+1))
    {
         ExtMapBuffer2[i]=Low[i]+shift_up*Point; //  0   i- 
         ExtMapBuffer1[i]=0;
    }
   }
  }  
 }
 Comment("H1 "+iOpen(sy,PERIOD_H1,i+1)+"  "+iClose(sy,PERIOD_H1,i+1)
          +"\n M30 "+iClose(sy,PERIOD_M30,i+1)+"  "+iClose(sy,PERIOD_M30,i+1)
          +"\n M15 "+iClose(sy,PERIOD_M15,i+1)+"  "+iClose(sy,PERIOD_M15,i+1)
          +"\n M5 "+iClose(sy,PERIOD_M5,i+1)+"  "+iClose(sy,PERIOD_M5,i+1));
      i--;                          //    
     }
//--------------------------------------------------------------------
   return(0);                          //   . - start()
  }
//+------------------------------------------------------------------+